﻿@model DTO.AdmAskLeaveDTO;
@using DTO;
@using zhengcaioa.Models;
@{
    Layout = null;
}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="ThemeBucket">
    <title>@(SiteConfig.SiteName)</title>
    <link href="~/css/bootstrap.min.css" rel="stylesheet">
    <link href="~/css/font-awesome.min.css" rel="stylesheet">
    <link href="~/css/animate.min.css" rel="stylesheet">

    @*<link href="~/css/plugins/iCheck/custom.css" rel="stylesheet">*@
    <link href="~/css/style.min.css" rel="stylesheet">
    <link href="~/css/plugins/chosen/chosen.css" rel="stylesheet">
    <link href="~/js/plugins/layer/skin/layer.css" rel="stylesheet">
    @*<link href="~/css/plugins/datapicker/datepicker3.css" rel="stylesheet">*@
    <link href="~/css/style.min.css" rel="stylesheet">
    <link href="~/css/plugins/toastr/toastr.min.css" rel="stylesheet" />
    <link href="~/css/plugins/webuploader/webuploader.css" rel="stylesheet" />

    <!-- jqgrid-->
    <script language="javascript" src="~/js/jquery.min.js" type="text/javascript"></script>
    <script src="~/js/bootstrap.min.js"></script>

    <!--容器-->
    @*<script language="javascript" src="~/js/datehelper.js" type="text/javascript"></script>*@
    @*<script language="javascript" src="~/js/plugins/query/jquery.query-object.js" type="text/javascript"></script>*@
    @*<script language="javascript" src="~/js/plugins/iCheck/icheck.min.js" type="text/javascript"></script>*@
    <script language="javascript" src="~/js/plugins/chosen/chosen.jquery.js" type="text/javascript"></script>
    @*<script language="javascript" src="~/js/plugins/datapicker/bootstrap-datepicker.js" type="text/javascript"></script>*@
    <script language="javascript" src="~/js/plugins/layer/layer.js" type="text/javascript"></script>
    @*<script src="~/js/plugins/jqgrid/jquery.jqGrid.min.js" type="text/javascript"></script>*@
    @*<script src="~/js/plugins/jqgrid/i18n/grid.locale-cn.js" type="text/javascript"></script>*@
    <script src="~/js/plugins/toastr/toastr.min.js" type="text/javascript"></script>
    <script src="~/js/plugins/webuploader/webuploader.min.js"></script>

    <script language="javascript" src="~/js/common-layout.js" type="text/javascript"></script>
    <script src="~/js/plugins/layer/laydate/laydate.js" type="text/javascript"></script>

    @*<script src="~/js/plugins/iTexbox/itextbox.js" type="text/javascript"></script>*@
    @*<script src="~/js/plugins/iuploader/iuploader.js"></script>*@
    <script src="~/js/TUJS.js"></script>
</head>
<body class="gray-bg" style="overflow:auto">
    <style>
        .title {
            width: 80px !important;
            text-align: right;
            padding-right: 10px;
        }

        table td {
            padding-top: 8px !important;
        }
        .data {
            width: 400px !important;
        }
    </style>
    <form method="post" onsubmit="return check();">
        <input type="text" value="" id="SigninId" name="SigninId" hidden="hidden">
        <table style="width: 100%;text-align: left; background-color:white">
            <tbody>
                <tr>
                    <td class="title">请假时间</td>
                    <td>
                        <input type="text" class="layui-input  layer-date  ldate form-control" value="@Model.StratTime.ToString("yyyy-MM-dd HH:mm:ss")" name="StratTime" id="StratTime" style="width:150px;margin-right: 4px;" validate="RequiredField" autocomplete="off" readonly="readonly">-
                        <input type="text" class="layui-input  layer-date ldate form-control" value="@Model.EndTime.ToString("yyyy-MM-dd HH:mm:ss")" name="EndTime" id="EndTime" style="width:150px;margin-right: 4px;" validate="RequiredField" autocomplete="off" readonly="readonly">
                    </td>
                </tr>
                <tr>
                    <td class="title">请假类型</td>
                    <td>
                        <select class="leaveType form-control data" name="Lavetype" id="Lavetype" style="margin-right: 4px;">
                            <option value="">请选择</option>
                            <option value="1">事假</option>
                            <option value="2">病假</option>
                            <option value="3">年假</option>
                            <option value="4">丧假</option>
                            <option value="5">婚假</option>
                            <option value="6">产假</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td class="title">请假时长</td>
                    <td> 
                        <input class="layui-input data" style="width:100px !important;float: left;" type="number" value="@Model.LaveDay" name="LaveDay" min="0" step="1" >天
                        <input  class="layui-input data" style="width:100px !important;" type="number" value="@Model.LavehHour" name="LavehHour" min="0" step="1"  >小时                         
                    </td>
                </tr>
                <tr>
                    <td class="title">备&nbsp;&nbsp;注</td>
                    <td>
                        <textarea class="form-control data" name="Remark" style="width:374px; vertical-align: top;height:100px">@Model.Remark</textarea>
                    </td>
                </tr>
                <tr>
                    <td colspan="10" style="text-align: center">
                        <a class="btn btn-success" href="javascript:void(0)" onclick="Save();" style="margin-left:4px; border-radius:4px;">
                            <span class="bold">提交</span>
                        </a>
                    </td>
                </tr>

            </tbody>
        </table>
    </form>

    <script type="text/javascript">
        var hh = document.body.clientHeight - $('.ibox-title').height() - $("#top").height() * 2 - 95;
        $("#div_content").height(hh);

        toastr.options = {
            "closeButton": true,
            "debug": false,
            "progressBar": true,
            "positionClass": "toast-bottom-right",
            "onclick": null,
            "showDuration": "300",
            "hideDuration": "600",
            "timeOut": "4500",
            "extendedTimeOut": "600",
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        };




        $(function () {
            $(".ldate").each(function (el) {
                laydate({
                    elem: "#" + $(this).attr('id'), //对应id
                    format: 'YYYY-MM-DD hh:mm:ss', //日期格式 // 分隔符可以任意定义，该例子表示只显示年月
                    min: '2021-01-01', //设定最小日期为当前日期
                    max: '2099-06-16', //最大日期
                    type: 'datetime',
                    festival: false, //显示节日
                    istime: true,   //是否显示时分秒
                    istoday: true, //是否是今天
                    choose: function (datas) { //选择日期完毕的回调
                        // console.log(this);
                        // end.min = datas; //开始日选好后，重置结束日的最小日期
                        // end.start = datas //将结束日的初始值设定为开始日
                    }
                });

            });
            $("#Lavetype").val("@Model.Lavetype");
            $("#SigninId").val("@ViewBag.SigninId");


        })


        function Save() {
            if ($("#StratTime").val() == '') {
                toastr.warning("开始时间不能为空");
                return;
            }

            if ($("#EndTime").val() == '') {
                toastr.warning("结束时间不能为空");
                return;
            }

            if ($("#Lavetype").val() == '') {
                toastr.warning("请假类型不能为空");
                return;
            }

            if ($("#LaveDay").val() == '') {
                toastr.warning("请假天数不能为空");
                return;
            }
         
            //var data = { id: $("#Id").val(), StartTime:$("#StartTime").val(), Sheng: $("#Sheng").val(), job_level: $("#Job_level").val().toString(), ExistsAttachment: fileId != "" }
            $.ajax({
                type: "POST",
                url: "/Signin/SaveAskLeave",
                dataType: "json",
                global: false,
                async: false,
                data: $('form').serializeArray(),
                success: function (data) {
                    

                    if (data.Result) {
                        //  parent._afterSave(true);
                        parent.layer.msg('成功保存', { icon: 6 });
                        //window.location = "/Project/add?id=" + data.ReturnID;
                        try {

                            _pageAutoClose();//自动关闭页面方法
                        }
                        catch (err) {
                            parent._CloseTab1("/Signin/AskLeave/");
                        }

                    }
                    else {
                        // toastr.error("失败");
                        parent.layer.msg(data.Message, { icon: 5 });
                    }

                },
                error: function () {

                    parent.layer.msg('失败', { icon: 5 });
                }
            });
        }

        function _pageAutoClose() {

            parent.window._reloadPageData();
            var index = parent.layer.getFrameIndex(window.name);
            parent.layer.isRefresh = true;
            parent.layer.closeAll('loading');
            //layer.closeAll();
            parent.layer.close(index);
            $(".layui-layer-close").click();
            return false;
        }
    </script>
</body>
</html>